<?xml version="1.0" encoding="utf-8"?>
<dc-workflow xmlns:i18n="http://xml.zope.org/namespaces/i18n"
             description="A workflow used to grant permissions to the members inside a workspace"
             initial_state="default"
             manager_bypass="True"
             state_variable="review_state"
             title="Folder in workspace Workflow"
             workflow_id="folder_in_workspace_workflow"
             i18n:attributes="title; description"
             i18n:domain="ploneintranet"
>

  <permission>Delete objects</permission>
  <permission>Modify portal content</permission>

  <state state_id="default"
         title="Default"
         i18n:attributes="title"
  >
    <description i18n:translate="">Shared with my team.</description>
    <permission-map acquired="False"
                    name="Modify portal content"
    >
      <permission-role>Manager</permission-role>
      <permission-role>Owner</permission-role>
      <permission-role>Site Administrator</permission-role>
      <permission-role>TeamManager</permission-role>
      <permission-role>Editor</permission-role>
      <permission-role>Contributor</permission-role>
    </permission-map>
    <permission-map acquired="False"
                    name="Delete objects"
    >
      <permission-role>Manager</permission-role>
      <!-- NOT owner! -->
      <permission-role>Site Administrator</permission-role>
      <permission-role>TeamManager</permission-role>
      <permission-role>Editor</permission-role>
    </permission-map>
  </state>

</dc-workflow>
